makedeb
Remove cookie warnings from most websites, for Firefox
Click here to go back to the commit logs for webext-i-still-don-t-care-about-cookies-firefox.
Hash: 06eab5fa9da216d474217835edbe23196431fa76
Message: 1.1.2
diff --git a/.SRCINFO b/.SRCINFO
index ee1ed3e..2e616db 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -3,12 +3,17 @@ pkgname = webext-i-still-don-t-care-about-cookies-firefox
pkgbase = webext-i-still-don-t-care-about-cookies-firefox
pkgdesc = Remove cookie warnings from most websites, for Firefox
pkgrel = 0
-pkgver = 1.1.1
+pkgver = 1.1.2
url = https://addons.mozilla.org/en-US/firefox/addon/istilldontcareaboutcookies/
arch = all
license = GPL3
-noextract = istilldontcareaboutcookies-1.1.1.xpi
+noextract = istilldontcareaboutcookies-1.1.2.xpi
optdepends = firefox
-source = https://addons.mozilla.org/firefox/downloads/file/4069651/istilldontcareaboutcookies-1.1.1.xpi
-b2sums = 37c2903518f7db054b869be9c8e0e9fc99c52b7469ad7137d134442ba6c22cf596cebc0c429c7ddaee95a3a3edbfce450d53da98f3693f83575b7dd5badedc82
+optdepends = firefox-esr
+options = !strip
+source = https://addons.mozilla.org/firefox/downloads/file/4213061/istilldontcareaboutcookies-1.1.2.xpi
+b2sums = cf2cee8fac38bbcce07671ae6cc03c4a515326f8023ea0b2b0b2977d963eb8446c01db163d91caffc168f54dae253e65b3b8ac90a8d1d045c039f184cedaccc3
optdepends = firefox
+optdepends = firefox-esr
+optmakedepends = unzip: to uncompress the webextention
+optmakedepends = unzip: to uncompress the webextention
diff --git a/PKGBUILD b/PKGBUILD
index 9f3058a..eda44b9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,16 +1,39 @@
# Maintainer: exponential <echo ZXhwb25lbnRpYWxtYXRyaXhAcHJvdG9ubWFpbC5jb20K | base64 -d>
+# If your Firefox version doesn't support extracted webextentions
+#_UNCOMPRESS=0
pkgname=webext-i-still-don-t-care-about-cookies-firefox
-pkgver=1.1.1
+_download_name="istilldontcareaboutcookies"
+pkgver=1.1.2
+_fileid=('4213061')
pkgrel=0
pkgdesc='Remove cookie warnings from most websites, for Firefox'
arch=('all')
url='https://addons.mozilla.org/en-US/firefox/addon/istilldontcareaboutcookies/'
license=('GPL3')
-optdepends=('firefox')
-source=("https://addons.mozilla.org/firefox/downloads/file/4069651/istilldontcareaboutcookies-${pkgver}.xpi")
-noextract=("istilldontcareaboutcookies-${pkgver}.xpi")
-b2sums=('37c2903518f7db054b869be9c8e0e9fc99c52b7469ad7137d134442ba6c22cf596cebc0c429c7ddaee95a3a3edbfce450d53da98f3693f83575b7dd5badedc82')
+optmakedepends=("unzip: to uncompress the webextention")
+optdepends=('firefox' 'firefox-esr')
+source=("https://addons.mozilla.org/firefox/downloads/file/$_fileid/istilldontcareaboutcookies-${pkgver}.xpi")
+noextract=("${_download_name}-${pkgver}.xpi")
+options=('!strip')
+b2sums=('cf2cee8fac38bbcce07671ae6cc03c4a515326f8023ea0b2b0b2977d963eb8446c01db163d91caffc168f54dae253e65b3b8ac90a8d1d045c039f184cedaccc3')
+
+prepare() {
+ [ -z "$_UNCOMPRESS" ] && unzip -u "$_download_name-${pkgver}.xpi" -d "${srcdir}/$pkgname-${pkgver}" || :
+}
package() {
- install -Dm644 "istilldontcareaboutcookies-${pkgver}.xpi" "${pkgdir}/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/idcac-pub@guus.ninja.xpi"
+ _mozilla_id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
+ _ext_id="idcac-pub@guus.ninja"
+ _license_path="/usr/share/common-licenses/GPL-3"
+
+ install -dm755 "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id"
+ if [ -z "$_UNCOMPRESS" ];
+ then
+ mv "${srcdir}/$pkgname-${pkgver}" "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id/$_ext_id"
+ else
+ install -Dm644 "$_download_name-${pkgver}.xpi" "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id/$_ext_id.xpi"
+ fi
+ # Doc
+ install -dm755 "${pkgdir}/usr/share/doc/$pkgname"
+ ln -s "$_license_path" "${pkgdir}/usr/share/doc/$pkgname/"
}